**************************************************************************
**************************************************************************
**          FIGURE 1: DISTRIBUTION OF REPEATERS ACROSS CLASSES 
**************************************************************************
**************************************************************************

use STAR_students_clean.dta, clear
keep if gk == 1 & gkclasstag == 1 & gkschool_shofgrep > 0

tab gkclass_nofgrep
sum gkclass_nofgrep, d

hist gkclass_nofgrep, discrete freq ///
	xtitle("number of repeaters in class" "(sample includes classes in schools with at least 1 repeater)", size(medsmall) height(9)) xlabel(0(1)5, labsize(medsmall)) ///
	ytitle("number of classes", size(medsmall) height(5)) ylabel(0(25)125, angle(0) labsize(medsmall))
