set more off

**************************************************************************
**************************************************************************
**                   TABLE 1: DESCRIPTIVE STATISTICS
**************************************************************************
**************************************************************************

use STAR_students_clean.dta, clear
keep if gk == 1 & (gkrepeater == 0 | gkofgrepeater == 1)

* demographic characteristics
tabstat male black gkfreelunch age_years gkoldforgrade, by(gkofgrepeater) statistics(n mean sd) nototal

* repeater exposure
tabstat gkclass_ofgrep_dummy, by(gkofgrepeater) statistics(n mean sd) nototal

* standardized test scores
tabstat gkmath_std gkread_std math94_std read94_std, by(gkofgrepeater) statistics(n mean sd) nototal

* non-cognitive skills
tabstat g4pteffr_std g4ptinit_std g4ptappr_std g4ptdpln_std g8pteffr_std g8ptinit_std g8ptappr_std g8ptdpln_std, by(gkofgrepeater) statistics(n mean sd) nototal

* long-term outcomes
tabstat hsgpa hsgraduate hstest, by(gkofgrepeater) statistics(n mean sd) nototal


